Push
Get a Push Campaign
Read a push campaign and its stats
GET
/
api
/
v1
/
push
/
campaigns
/
{campaignId}
Get a Push Campaign
curl --request GET \
--url https://api.sequenzy.com/api/v1/push/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/push/campaigns/{campaignId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/push/campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"campaign": {
"id": "cmp_abc123",
"name": "Flash sale",
"type": "push",
"status": "sent",
"content": {
"title": "24h sale",
"body": "30% off everything",
"url": "https://shop.example.com/sale",
"imageUrl": null,
"iconUrl": null,
"platforms": [
"web",
"ios"
]
},
"targetLists": {
"type": "all"
},
"scheduledAt": null,
"sentAt": "2026-10-01T15:02:11.000Z",
"estimatedRecipientCount": 340,
"labelIds": [],
"createdAt": "2026-10-01T12:00:00.000Z",
"updatedAt": "2026-10-01T12:00:00.000Z"
},
"stats": {
"total": 340,
"pending": 0,
"sent": 331,
"failed": 4,
"skipped": 5,
"delivered": 210,
"clicked": 48,
"devicesTargeted": 402,
"devicesAccepted": 389,
"skipReasons": [
{
"reason": "no_active_device",
"count": 5
}
],
"failureReasons": [
{
"reason": "all_devices_invalid",
"count": 4
}
]
}
}
{
"error": "This campaign is not a push campaign."
}
{
"error": "Invalid API key"
}
{
"error": "API key is missing required scope: campaigns:read"
}
{
"error": "Campaign not found."
}
Get a Push Campaign
Returns a push campaign’s content, audience and status. Once the campaign has started sending,stats holds its delivery and engagement counts; it is null for drafts. Requires the campaigns:read scope.
Request
string
required
The push campaign ID.
curl "https://api.sequenzy.com/api/v1/push/campaigns/cmp_abc123" \
--header "Authorization: Bearer $SEQUENZY_API_KEY"
Responses
{
"success": true,
"campaign": {
"id": "cmp_abc123",
"name": "Flash sale",
"type": "push",
"status": "sent",
"content": {
"title": "24h sale",
"body": "30% off everything",
"url": "https://shop.example.com/sale",
"imageUrl": null,
"iconUrl": null,
"platforms": [
"web",
"ios"
]
},
"targetLists": {
"type": "all"
},
"scheduledAt": null,
"sentAt": "2026-10-01T15:02:11.000Z",
"estimatedRecipientCount": 340,
"labelIds": [],
"createdAt": "2026-10-01T12:00:00.000Z",
"updatedAt": "2026-10-01T12:00:00.000Z"
},
"stats": {
"total": 340,
"pending": 0,
"sent": 331,
"failed": 4,
"skipped": 5,
"delivered": 210,
"clicked": 48,
"devicesTargeted": 402,
"devicesAccepted": 389,
"skipReasons": [
{
"reason": "no_active_device",
"count": 5
}
],
"failureReasons": [
{
"reason": "all_devices_invalid",
"count": 4
}
]
}
}
{
"error": "This campaign is not a push campaign."
}
{
"error": "Invalid API key"
}
{
"error": "API key is missing required scope: campaigns:read"
}
{
"error": "Campaign not found."
}
⌘I
Get a Push Campaign
